﻿:root{
    --background-color-value: 180, 180, 180;
    --darker-background-color-value: 65, 65, 65;
    --accent-color-value: 150, 150, 150;
    --text-color: #FFFFFF;
    --transition: all 250 ease-in-out;
}
*{
    margin: 0;
    padding: 0;
    /*font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;*/
    border: none;
    box-sizing: border-box;
    text-decoration: none;
}
html{
    height: 100%;
}
body{
    min-width: 100vw;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
/*    justify-content: center;*/
    min-height: 100vh;
/*    height: 100%;*/
    font-family: Tahoma, Verdana, Geneva, Verdana, sans-serif;
}

.visible-on-mobile {
    display: none;
}
@media(max-width: 1000px){
    .visible-on-mobile {
        display: table-cell;
    }
}
.visible-on-computer {
    display: table-cell;
}
@media(max-width: 1000px){
    .visible-on-computer {
        display: none;
    }
}

.button {
    background-color: lightgrey;
    border: none;
    color: white;
    padding-top: 12px;
    padding-bottom: 12px;
    padding-right: 20px;
    padding-left: 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 24px;
    margin: 2px;
    cursor: pointer;
    border-radius: 10px;
}
.button-small {
    background-color: rgba(0, 0, 0, 0.3);
    border: none;
    padding: 6px;
    text-align: center;
    text-decoration: none;
    color: white;
    display: inline-block;
    font-size: 1.5rem;
    margin: 2px;
    cursor: pointer;
    border-radius: 5px;
}
@media(max-width: 1000px){
    .button-small {
        font-size: 1rem;
    }
}

.checkbox-items {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    justify-content: center;
    align-items: center;
    align-content: center;
    line-height: 0px;
}
/*.checkbox-genre {
    width: 200px;
}*/

/* Menu Styles */
header {
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    padding-right: 90px;
    background-color: rgba(0, 0, 0, 0.2);
    box-shadow: 0 5ph 10px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
}
header .logo{
    color: var(--text-color);
    margin-left: 30px;
    font-variant: full-width;
    font-size: 30px;
    font-family: Tahoma, Verdana, Geneva, Verdana, sans-serif;
/*    font-family: "Lucida Sans Unicode", Tahoma, Geneva, Verdana, sans-serif;*/
    text-decoration: none;
    z-index: 12;
}
header .login{
    color: var(--text-color);
    margin-top: -2px;
    margin-left: 30px;
    font-size: 12px;
    text-align: center;
    font-variant: normal;
    z-index: 12;
}
header .navbar ul {
    font-size: 18px;
    font-weight: bold;
    font-family: Tahoma, Verdana, Geneva, Verdana, sans-serif;
/*    font-family: "Lucida Sans Unicode", Tahoma, Geneva, Verdana, sans-serif;*/
    color: var(--text-color);
    list-style: none;
}
header .navbar ul li {
    position: relative;
    float: left;
}
header .navbar ul li a {
    padding: 15px;
    display: block;
}
header .navbar ul li a:hover {
    background-color: rgba(0, 0, 0, 0.6);
    color: #fff;
}
header .navbar ul li ul {
    position: absolute;
    left: 0;
    width: 200px;
    background-color: rgba(0, 0, 0, 0.6);
    display: none;
}
header .navbar ul li ul li {
    width: 100%;
    border-top: 1px solid rgba(0, 0, 0, 0.6);
}
header .navbar ul li ul li ul {
    left: 200px;
    top: 0px;
}
header .navbar ul li:hover > ul {
    display: inline;    
}
#menubar {
    display: none;
}
header label {
    display: none;
}
.menu-item-spacer {
    margin-top: 5px;
    margin-bottom: 5px;
}

@media(max-width: 1000px){
    header {
        height: 78px;
        padding-right: 5px;
    }
    header label {
        display: initial;
        padding-right: 30px;
    }
    header .navbar {
        position: absolute;
        top: 100%;
        left: 0px;
        right: 0px;
        background-color: rgba(255, 255, 255, 0.7);
        border-top: 1px solid rgba(0, 0, 0, 0.1);
        display: none;
    }
    header .navbar ul li {
        width: 100%;
    }
    header .navbar ul li a {
        padding-top: 5px;
        padding-bottom: 5px;
        padding-left: 5px;
        padding-right: 5px;
    }
    header .navbar ul li ul {
        position: relative;
        width: 100%;
    }
    header .navbar ul li {
        background-color: rgba(0, 0, 0, 0.2);
        padding-left: 20px;
    }
    header .navbar ul li ul {
        width: 100%;
        left: 0px;
        background-color: rgba(0, 0, 0, 0.2);
    }
    header .navbar ul li ul li {
        margin-left: 20px;
    }
    header .navbar ul li ul li ul {
        left: 0px;
    }
}

#menubar:checked ~ .navbar {
    display: initial;
}

/* Footer Styles */
.onePageFooter {
    height: 100px;
    width: 100%;
    background-size: cover;
    background-position: center center;
    z-index: 1;
}
.subPageFooter {
    height: 60px;
    width: 100%;
	position: fixed;
	bottom: 0px;
}
.textPositionBottom {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding-top: 5px;
    padding-bottom: 5px;
    font-size: 12px;
    color: var(--text-color);
	background-color: rgba(175, 175, 175, 0.5);
    z-index: 0;
}



/* Text Styles */
.normalText {
    text-align: center;
    color: black;
}
#movieFilterId {
    background-color: rgba(0, 0, 0, 0.5);    
    color: white;
}
#term {
    background-color: rgba(0, 0, 0, 0.5);    
    color: white;
    width: 100%;
}
.movieFilter {
    margin-top: 5px;
    margin-left: 5px;
    margin-right: 5px;
}
.alignCenter {
    text-align: center;
}



/* Main Banner */
.shift-up {
    margin-top: -70px;
}
.main-banner {
    position: relative;
    height: 75vh;
    width: 100%;
    background-size: cover;
    background-position: center center;
    z-index: 0;
    color: white;
}
.main-banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.main-banner-text-holder {
    position: absolute;
    bottom: 28px;
    left: 8px;
}
.main-banner-title {
    margin-left: 20px;
    font-size: 5rem;
}
.main-banner-text {
    margin-left: 20px;
    padding-top: 2px;
    padding-bottom: 2px;
    padding-left: 4px;
    padding-right: 4px;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 100;
}
@media(max-width: 1000px){
    .main-banner-text-holder {
        bottom: 18px;
    }
    .main-banner-title {
        margin-left: 10px;
        font-size: 3rem;
    }
    .main-banner-text {
        margin-left: 10px;
    }
}


/* Flex-Box Styles */
.picture-flex-box-container {
    background-color: white;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    align-items: center;
    align-content: center;
    padding: 20px;
}
.picture-flex-box a{
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    height: 250px;
    width: 315px;
}
.picture-flex-box a img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Background Styles */
#movie-background {
    background-size: cover;
    background-position: center center;
    position: fixed;
    top: 0;
    height: 100%;
    width: 100%; 
    z-index: -10;
}
#movie-background-overlay {
    background-color: rgba(0, 0, 0, 0.0);
    position: absolute;
    top: 0;
    bottom: 0;
    height: 100%;
    width: 100%;
    z-index: -5;
}
   

/* Quote Styles */
.quote-container {
    margin-top: 85px;
    margin-bottom: 5px;
    margin-left: 5px;
    margin-right: 5px;
    background-color: rgba(0, 0, 0, 0.2);
}
.operating-figures {
    margin-left: 5px;
    margin-right: 5px;
    margin-bottom: 5px;
    padding-top: 10px;
    text-align: center;
    color: white;
}
.quote-section-holder {
    margin-left: 40px;
    margin-right: 40px;
    margin-top: 40px;
    margin-bottom: 40px;
    display: flex;
    justify-content: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: white;
}
@media(max-width: 1000px){
    .quote-section-holder {
        margin-left: 0px;
        margin-right: 5px;
    }
}
.quote-section-holder a{
    color: white;
    text-decoration: none;
}
.quote-text {
    padding: 3px;
    font-size: 2.5rem;
    /*font-family: 'Times New Roman', Times, serif;*/
}
@media(max-width: 1000px){
    .quote-text {
        font-size: 2rem;
    }
}
.quote-footer {
    padding: 3px;
    font-size: 1rem;
}



.spacer-on-main {
    height: 50vh;
}
.description-text-container {
    margin-top: 25px;
    margin-bottom: 5px;
    margin-left: 5px;
    margin-right: 5px;
}
.description-text-style {
    display: inline-block;
    padding: 10px;
    font-size: 20px;
    color: white;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 10px;
}
@media(max-width: 1000px){
    .description-text-style {
        padding-top: 2px;
        padding-bottom: 2px;
        padding-left: 4px;
        padding-right: 4px;
        font-size: 15px;
    }
}

/* Search Box Styles */
.search-box-style {
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 8;
}
.search-on-main {
	position: fixed;
	bottom: 292px;
}
.search-at-bottom {
	position: fixed;
	bottom: 62px;
}
@media(max-height: 400px){
    .search-box-style {
        position: relative;
        bottom: unset;
    }
}
.search-box-style form {
    margin: 10px;
    width: 400px;
}
.search-box-style input{
    height: 35px;
    font-size: 25px;
    padding: 3px;
    text-align: center;
    border-radius: 5px;
}



/* Lately Movie Styles */
.new-movie-container-holder {
    width: 100%;
/*    position: fixed;
	bottom: 62px;*/
    display: flex;
    justify-content: center;
/*    height: 230px;*/
    align-items: center;
}
@media(max-height: 400px){
    .new-movie-container-holder {
        position: relative;
        bottom: unset;
    }
}
.new-movie-container {
    margin-left: 5px;
    width: 100%;
    display: flex;
    gap: 5px;
    flex-wrap: nowrap;
    overflow-x: auto;
    overflow-y: hidden;
	position: relative;
}
.new-movie {
    height: 200px;
    width: 142px;
    flex-shrink: 0;
/*    margin-top: 5px;
    margin-bottom: 5px;*/
    position: relative;
}
.new-movie img{
    height: 100%;
    width: 100%;
    border-radius: 10px;
}
.back-cover-tag {
    position: absolute;
    top: 39px;
    right: 2px;
    width: 35px;
    height: 35px;
    color: #fff;
}
.back-cover-tag a{
    text-decoration: none;
    color: white;
}
.af31-tag {
    position: absolute;
    top: 2px;
    right: 2px;
    width: 35px;
    height: 35px;
    color: #fff;
}
.af31-tag a{
    text-decoration: none;
    color: white;
}
.oscar-tag {
    position: absolute;
    top: 2px;
    left: 2px;
    width: 28px;
    height: 70px;
    color: #fff;
}
.new-movie-released-tag {
    position: absolute;
    bottom: 48px;
    right: 0;
    width: 100px;
    color: #fff;
    padding-right: 5px;
    text-align: right;
    height: 1.5em;
    line-height: 1.5em;
    background: #404040; /* Fallback IE 6-8 */
    background-color: rgba(40, 40, 40, 0.6);
}
.new-movie-imdb-tag {
    position: absolute;
    bottom: 20px;
    right: 0;
    width: 100px;
    color: #fff;
    padding-right: 5px;
    text-align: right;
    height: 1.5em;
    line-height: 1.5em;
    background: #404040; /* Fallback IE 6-8 */
    background-color: rgba(40, 40, 40, 0.6);
}
.new-movie-imdb-tag a{
    text-decoration: none;
    color: white;
}



/* General Styles */
.foto-container {
  position: relative;
  color: white;
  flex-grow: 1;
  width: 300px;
  max-width: 600px;
  max-height: 300px;
}
.foto-description {
  position: absolute;
  bottom: 8px;
  left: 8px;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 4px;
  padding-right: 4px;
  background-color: rgba(0, 0, 0, 0.4);
}
.title-description {
  position: absolute;
  bottom: 8px;
  left: 8px;
  padding-top: 2px;
  padding-bottom: 2px;
  padding-left: 4px;
  padding-right: 4px;
  font-size: 3rem;
}
.description {
    margin-top: 3px;
}
.divs-vertical {
    display: flex;
    flex-direction: column;
    justify-content: left;
}
.top-spacer {
    padding-top: 100px;
}
.top-spacer-before-search-box {
    padding-top: 80px;
}
.normalText input{
    height: 30px;
    font-size: 20pt;
    border-style: solid;
    border-width: thin;
    border-radius: 5px;
}
.radio-group-centered {
    display: flex;
    justify-content: center;
}
.radio-group-centered-item {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    padding-top: 10px;
    padding-bottom: 10px;
    padding-left: 5px;
    padding-right: 5px;
}
.centered-divs {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: center;
    margin-top: 20px;
}
.centered-divs-covers {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    align-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin-left: 20px;
    margin-right: 20px;
    margin-top: 20px;
}
.centered-div-item-title {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    margin-top: 50px;
    margin-bottom: 20px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 5rem;
    text-align: center;
    line-height: 85%;
}
@media(max-width: 1000px){
    .centered-div-item-title {
        font-size: 3rem;
    }
}
.centered-div-item-subtitle {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    margin-top: -10px;
    margin-bottom: 20px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.5rem;
    font-weight: bold;
    color: darkgray;
    text-align: center;
    z-index: 100;
}
@media(max-width: 1000px){
    .centered-div-item-subtitle {
        font-size: 1rem;
    }
}
.centered-div-item-holder {
    background-color: white;
    display: flex;
    justify-content: center;
    width: 100%;
}
.banner-text-shifted {
    background-color: rgb(0, 0, 0, 0.0 );
    display: flex;
    flex-direction: column;
    height: 100px;
    margin-top: -100px;
    z-index: 100;
    color: white;
    margin-left: 20px;
    font-size: 5rem;
}
@media(max-width: 1000px){
    .banner-text-shifted {
        height: 70px;
        margin-top: -70px;
        font-size: 3rem;
    }
}
.centered-div-item-holder-vertical {
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    z-index: 1;
}
.centered-div-item-bar {
    display: flex;
    justify-content: center;
    margin-left: 10px;
    margin-right: 10px;
    margin-top: 50px;
    padding: 10px;
    color: white;
    background-color: lightgrey;
    border-radius: 10px;
    font-size: 1.5rem;
    min-width: 400px;
}
.centered-div-item-input {
    display: flex;

    flex-direction: column;
    align-items: center;
    font-size: 1.5rem;
    margin: 10px;
}
.centered-div-item-radio-input {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    margin: 10px;
}
@media(max-width: 1000px){
    .centered-div-item-radio-input {
        font-size: 1rem;
    }
}
.radio-input-left {
    width: 200px;
    text-align: right;
    padding-right: 30px;
}
@media(max-width: 1000px){
    .radio-input-left {
        width: 150px;
        padding-right: 20px;
    }
}
.radio-input-right {
    width: 250px;
}
@media(max-width: 1000px){
    .radio-input-right {
        width: 200px;
    }
}
.radio-input-right-multiple {
    width: 250px;
    display: flex;
    margin-left: -10px;
}
@media(max-width: 1000px){
    .radio-input-right-multiple {
        width: 200px;
    }
}
.centered-div-item-text {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    font-size: 1.5rem;
    margin-top: 30px;
    margin-bottom: 10px;
}
.centered-div-item-text a {
    text-decoration: none;
    color: black;
}
.centered-div-movie-details {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 10px;
}
.movie-detail-title {
    font-size: 0.8rem;
    font-weight: bold;
}
.movie-detail-content {
    max-width: 80%;
    justify-content: center;
    display: flex;
    flex-wrap: wrap;
    font-size: 1.5rem;
    text-align: center;
}
.centered-div-item-welcome {
    font-size: 1.5rem;
    /*font-variant: small-caps;*/
    text-align: center;
    margin-bottom: 10px;
    width: 50%;
}
.centered-div-item-welcome-details {
    font-size: 1.2rem;
    /*font-variant: small-caps;*/
    text-align: center;
    margin-bottom: 10px;
    width: 50%;
}
@media(max-width: 1000px){
    .centered-div-item-welcome {
        width: 75%;
    }
    .centered-div-item-welcome-details {
        width: 75%;
    }
}
.movie-detail-table-collection {
    margin: 5px;
    border-collapse: collapse;
/*    background-color: rgba(255, 255, 255, 0.3);*/
}
.movie-detail-table-collection tr td {
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: 12px;
    padding-right: 12px;
    font-size: 1.5rem;
/*    border: 1px dotted lightgray;
    border-color: lightgrey;*/
}
@media(max-width: 1000px){
    .movie-detail-table-collection tr td {
        padding-left: 8px;
        padding-right: 8px;
        font-size: 1.1rem;
/*        border: 1px dotted lightgray;
        border-collapse: collapse;*/
    }
}
.movie-detail-table {
    max-width: 80%;
    border: 1px solid black;
    border-collapse: collapse;
    margin: 5px;
}
.movie-detail-table tr td {
    padding: 5px;
    font-size: 1rem;
    border: 1px solid black;
    border-collapse: collapse;
    border-color: lightgrey;
}
.movie-detail-subtable tr td {
    font-size: 1rem;
    border: 0px;
    border-collapse: collapse;
}
.centered-div-item-divider {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    margin-top: 30px;
}
.centered-div-item-table {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    font-size: 1.5rem;
    margin-bottom: 10px;
}
@media(max-width: 1000px){
    .centered-div-item-text {
        font-size: 1.2rem;
    }
    .centered-div-item-table {
        font-size: 1.2rem;
    }
}
.centered-div-item-picture {
    margin-bottom: 10px;
}
.centered-div-item-picture iframe{
    width: 560px;
    height: 315px;
}
@media(max-width: 1000px){
    .centered-div-item-picture iframe{
        width: 430px;
        height: 241px;
    }
}
.centered-div-item-quote-holder {
/*    width: 100%;*/
    display: flex;
    align-content: center;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 20px;
}
.centered-div-item-quote-icon {
    align-content: right;
}
.centered-div-item-quote-text {
    max-width: 80%;
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;
    font-size: 2.5rem;
    font-family: Georgia, 'Times New Roman', Times, serif;
    align-content: left;
    text-align: left;
}
@media(max-width: 1000px){
    .centered-div-item-quote-text {
        width: 75%;
    }
}
.seen-div {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
}
::placeholder {
    color: lightgrey;
    opacity: 1; /* Firefox */
  }


/* IMDB Rating styles */
.imdb-rating-container {
    margin: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.imdb-rating {
    position: relative;
} 
.imdb-rating img {
    display: block;
    border-radius: 10px;
 } 
.imdb-rating-ranking {
    position: absolute;
    bottom: 5px;
    left: 5px;
    width: 77px;
    color: #fff;
    text-align: center;
    height: 1.5em;
    line-height: 1.5em;
    background: #404040; /* Fallback IE 6-8 */
    background-color: rgba(40, 40, 40, 0.6);
}
.imdb-rating-status {
    position: absolute;
    right: -10px;
    bottom: -10px;
}

.movie-still-background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}
.movie-still-background img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /*filter: blur(5px);*/
    opacity: 0.4;
}

.rounded-corner {
    margin: 10px;
}
.rounded-corner img {
    border-radius: 10px;
}
.calendar-container {
    margin: 10px;
    position: relative;
}
.calendar-figure {
    font-size: 1.5rem;
    position: absolute;
    top: 45px;
    left: 23px;
}
@media(max-width: 1000px){
    .calendar-figure {
        left: 20px;
    }
}

.film-cover-container {
    position: relative;
    display: flex;
    flex-direction: row;
}

.film-cover-container-img {
    height: 235px;
    width: 164px;
}
.film-cover-container img {
    border-radius: 10px;
}
.season-cover-container {
    display: flex;
    justify-content: center;
    flex-wrap: nowrap;
}
.season-cover-container img {
    height: 235px;
    width: 164px;
    border-radius: 10px;
    margin: 5px;
}
.star-border-tag {
    position: absolute;
    top: -50px;
    left: -50px;
    z-index: 50;
}
.oscar-border-tag {
    position: absolute;
    top: -50px;
    right: -20px;
    z-index: 50;
}
.status-border-tag {
    position: absolute;
    bottom: -25px;
    right: -25px;
    z-index: 50;
}

.timesheet-holder {
    width: 100%;
    overflow-x: scroll;
}

.zoom-buttons {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    margin-bottom: 20px;
    margin-bottom: 10px;
}